Avvia un’attività di upscaling video 4x con Runway tramite CometAPI usando POST /runwayml/v1/video_upscale, con limite di 4096 px per lato e versioning.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}X-Runway-Version richiesto, ad esempio 2024-11-06model: upscale_v1videoUri HTTPS stabileVerifica il completamento tramite polling
Bearer token authentication. Use your CometAPI key.
Runway version header, for example 2024-11-06.
Task accepted.
curl --request POST \
--url https://api.cometapi.com/runwayml/v1/video_upscale \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Runway-Version: <x-runway-version>' \
--data '
{
"videoUri": "https://filesystem.site/cdn/20250818/c4gCDVPhiBc6TomRTJ7zNg0KwO1PSJ.mp4",
"model": "upscale_v1"
}
'{
"id": "<string>"
}